Package org.apache.wiki.workflow

# Class SimpleNotification

java.lang.Object
org.apache.wiki.workflow.AbstractStep
org.apache.wiki.workflow.Decision
org.apache.wiki.workflow.SimpleNotification

All Implemented Interfaces:
  `Serializable`, `Step`

public final class SimpleNotification extends Decision
Decision subclass used for notifications that includes only one available Outcome: `Outcome.DECISION_ACKNOWLEDGE`. The Decision is not reassignable, and the default Outcome is `Outcome.DECISION_ACKNOWLEDGE`.

Since:
  2.5
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface org.apache.wiki.workflow.Step

`TIME_NOT_SET`

## Constructor Summary

Constructors
Constructor
Description
`SimpleNotification(int workflowId, Map<String,Serializable> workflowContext, String messageKey, Principal actor)`
Constructs a new SimpleNotification object with a supplied message key, associated Workflow, and named actor who must acknowledge the message.

## Method Summary

Modifier and Type
Method
Description
`void`
`acknowledge(Context context)`
Convenience method that simply calls `Decision.decide(Outcome, Context)` with the value `Outcome.DECISION_ACKNOWLEDGE`.
`boolean`
`isReassignable()`
Notifications cannot be re-assigned, so this method always returns `false`.

### Methods inherited from class org.apache.wiki.workflow.Decision

`addFact, decide, execute, getActor, getDefaultOutcome, getFacts, getId, reassign, setId`

### Methods inherited from class org.apache.wiki.workflow.AbstractStep

`addError, addSuccessor, getAvailableOutcomes, getEndTime, getErrors, getMessageKey, getOutcome, getStartTime, getSuccessor, getWorkflowContext, getWorkflowId, isCompleted, isStarted, setOutcome, setWorkflow, start`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleNotification

public SimpleNotification(int workflowId, Map<String,Serializable> workflowContext, String messageKey, Principal actor)
Constructs a new SimpleNotification object with a supplied message key, associated Workflow, and named actor who must acknowledge the message. The notification is placed in the Principal's list of queued Decisions. Because the only available Outcome is `Outcome.DECISION_ACKNOWLEDGE`, the actor can only acknowledge the message.

Parameters:
  `workflowId` - the parent workflow id to set
  `workflowContext` - the parent workflow context to set
  `messageKey` - the message key
  `actor` - the Principal who will acknowledge the message

## Method Details

### acknowledge

public void acknowledge(Context context) throws WikiException
Convenience method that simply calls `Decision.decide(Outcome, Context)` with the value `Outcome.DECISION_ACKNOWLEDGE`.

Throws:
  `WikiException` - never

### isReassignable

public boolean isReassignable()
Notifications cannot be re-assigned, so this method always returns `false`.

Overrides:
  `isReassignable` in class `Decision`
Returns:
  `false` always.